# Poco::Data::PostgreSQL

# class Utility

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/Utility.h

## Description

Various utility functions for PostgreSQL.

## Member Summary

Member Functions: handle, hasMicrosecond, hostInfo, serverInfo, serverVersion, sessionEncoding

## Member Functions

### handle

static SessionHandle * handle(
Poco::Data::Session & aSession
);

Returns native PostgreSQL handle for the session.

### hasMicrosecond

static bool hasMicrosecond();

Rturns true if microseconds are suported.

### hostInfo

static std::string hostInfo(
SessionHandle * aHandlePtr
);

Returns host info.

### hostInfo

static std::string hostInfo(
Poco::Data::Session & aSession
);

Returns host info.

### serverInfo

static std::string serverInfo(
SessionHandle * aHandlePtr
);

Returns server info.

### serverInfo

static std::string serverInfo(
Poco::Data::Session & aSession
);

Returns server info.

### serverVersion

static int serverVersion(
SessionHandle * aHandlePtr
);

Returns server version.

### serverVersion

static int serverVersion(
Poco::Data::Session & aSession
);

Returns server version.

### sessionEncoding

static std::string sessionEncoding(
SessionHandle * aHandlePtr
);

Returns session encoding.

### sessionEncoding

static std::string sessionEncoding(
Poco::Data::Session & aSession
);

Returns session encoding.